import HTTP from "../../../../requestFn/Api";
const app = getApp();
Page({
  data: {
    paking_list: [],
    space_type: {
      1: "普通车位",
      2: "字母车位",
      3: "豪华车位"
    }
  },

  onLoad(options) {
    const {
      house_id,
      garden_id
    } = app.globalData;
    if (garden_id) {
      this.setData({
        house_id,
        garden_id
      });
    }
    this.getMyPaking();
  },
  async getMyPaking() {
    const {
      garden_id,
      house_id
    } = this.data;
    const {
      list
    } = await HTTP.GetMySpace({
      garden_id,
      house_id,
      user_type: 1
    });
    this.setData({
      paking_list: list
    });
    console.log(list);
  },
  onShow() {

  },

})